QueueListener
Date: 2020-02-26

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.parctechnologies.eclipse
Interface QueueListener

    public interface QueueListener

Interface for handlers of incoming data or data requests on queues. Any object which implements QueueListener can be attached to a `FromEclipseQueue` or a `ToEclipseQueue` using the `setListener()` methods of those classes.

If attached to a FromEclipseQueue, when ECLiPSe flushes the queue, the `dataAvailable()` method is called with the flushed FromEclipseQueue as the `source` parameter.

If attached to a ToEclipseQueue, when ECLiPSe tries to read data from that queue and it is empty, the `dataRequest()` method is called with the ToEclipseQueue as the `source` parameter.

Method Summary
`void` | `dataAvailable(java.lang.Object source)` Called with FromEclipseQueue as `source` when the QueueListener is attached and ECLiPSe flushes the queue.
`void` | `dataRequest(java.lang.Object source)` Called with ToEclipseQueue as `source` when the QueueListener is attached and ECLiPSe tries to read data from the queue when it is empty.

Method Detail

### dataAvailable

    void dataAvailable(java.lang.Object source)

  Called with FromEclipseQueue as `source` when the QueueListener is attached and ECLiPSe flushes the queue. If used with an instance of RemoteEclipse, the `resume()` method should not be invoked during `dataAvailable()`.

### dataRequest

    void dataRequest(java.lang.Object source)

  Called with ToEclipseQueue as `source` when the QueueListener is attached and ECLiPSe tries to read data from the queue when it is empty. If used with an instance of RemoteEclipse, the `resume()` method should not be invoked during `dataRequest()`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD